Query or retrieve memories.
curl --request GET \
--url https://www.memoryplugin.com/api/memory \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.memoryplugin.com/api/memory"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.memoryplugin.com/api/memory', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
"<string>"
]{
"error": "<string>",
"text": "<string>",
"score": 123
}[
{
"text": "<string>",
"score": 123,
"metadata": {
"bucketId": 123
}
}
]{
"error": "<string>",
"text": "<string>",
"score": 123
}Memory Endpoints
Get Memories
GET
/
api
/
memory
Query or retrieve memories.
Image Memories
Responses may include image memories alongside text memories. Image memories include additional fields:content_type: "image": identifies this as an image memoryimage_url: a signed URL to view the image (expires after 4 hours)image_description: AI-generated description of the image content
Example Response
{
"data": [
{
"id": "user-id-uuid",
"text": "User prefers dark mode in all applications",
"content_type": "text",
"metadata": {
"text": "User prefers dark mode in all applications",
"createdAt": "2026-04-01T10:00:00Z",
"bucketId": 65,
"bucketName": "General"
}
},
{
"id": "user-id-uuid-2",
"text": "A whiteboard diagram showing the auth flow with three microservices.",
"content_type": "image",
"image_url": "https://memoryplugin.com/storage/v1/object/sign/memory-images/...",
"image_description": "A whiteboard diagram showing the auth flow with three microservices.",
"metadata": {
"text": "A whiteboard diagram showing the auth flow with three microservices.",
"createdAt": "2026-04-06T10:30:00Z",
"bucketId": 65,
"bucketName": "General"
}
}
],
"count": 2
}
Image URLs are temporary signed URLs that expire after 4 hours. If you need to access an image after the URL has expired, make another API request to get a fresh URL.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Search query for memories. You will receive the 5 most relevant memories.
Fetch all memories
Fetch latest memories
Number of memories to retrieve, use with latest=true to limit the number of memories retrieved
API version - current is 2
Client source identifier (e.g., 'chatgpt' for ChatGPT requests)
Number of memories to skip for pagination. Zero-indexed: skip=0 starts from first memory, skip=10 skips first 10 memories and starts from 11th. Used primarily with token limiting to load additional memories beyond the initial response.
Required range:
x >= 0Response
Successful response
Was this page helpful?